%if 0%{?centos_version} >= 6 || 0%{?rhel_version} >= 600 || 0%{?sl_version} >= 600
%define		svnversion 0.7.0
%else
%define		svnversion svn
%endif
Name:		php-ffmpeg
Version: 	0.6.0.99
Release:	16.1
License: 	GPL
Group: 		Development/Libraries
Summary: 	php ffmpeg extension
URL: 		http://ffmpeg-php.sourceforge.net/
Source0: 	ffmpeg-php-%{svnversion}.tbz2
Patch0:		ffmpeg-php_x86_64-fix.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Packager:       Carsten Schoene <cs@linux-administrator.com>
%if 0%{?rhel_version} >= 600 || 0%{?centos_version} >= 6 || 0%{?sl_version} >= 600
BuildRequires:	ffmpeg-devel
%else
BuildRequires:	libffmpeg0 libffmpeg0-devel
%endif
BuildRequires:	autoconf automake php-devel glibc-devel libgcc gcc gcc-c++
Requires:	php sed grep

%description
ffmpeg-php is an extension for PHP that adds an easy to use, 
object-oriented API for accessing and retrieving information from video and audio files. 
It has methods for returning frames from movie files as images that can be manipulated 
using PHP's image functions. This works well for automatically creating thumbnail 
images from movies. ffmpeg-php is also useful for reporting the duration and bitrate 
of audio files (mp3, wma...). 
ffmpeg-php can access many of the video formats supported by ffmpeg (mov, avi, mpg, wmv...)


%prep
%setup -q -n ffmpeg-php
%patch0 -p1

export PHP_PREFIX=%{_prefix}
$PHP_PREFIX/bin/phpize
./configure --enable-ffmpeg=shared --with-php-config=$PHP_PREFIX/bin/php-config

%__make
%install
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/php/modules/
install -m 755 modules/ffmpeg.so $RPM_BUILD_ROOT%{_libdir}/php/modules/
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
echo "; comment out next line to disable imagick extension in php" > %{buildroot}%{_sysconfdir}/php.d/ffmpeg.ini
echo 'extension = ffmpeg.so' >> %{buildroot}%{_sysconfdir}/php.d/ffmpeg.ini

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE CREDITS EXPERIMENTAL
%config %{_sysconfdir}/php.d/ffmpeg.ini
%{_libdir}/php/modules/ffmpeg.so
 
%changelog
* Mon Jul 12 2010 Carsten Schoene <cs@linux-administrator.com> - 0.6.0-2
- build against RHEL_5 & CentOS_5

* Sun Dec 28 2008 Carsten Schoene <cs@linux-administrator.com>
- 0.6.0:
  - Support for ffmpeg swscale API
  - Removed obsolete resize() and crop() functions. These operations are
    more flexibly done using the gd commands.
  - Removed animated gif class since it was way out of date and the
    quality of animated gifs created by ffmpeg sucks anyway
  - Added check to ensure that gd loads before ffmpeg-php if both are
    compiled as extensions.
  - Replaced large mp3 test file with smaller sample to avoid copyright
    issues and reduce package size.
  - Convert from deprecated img_* functions to swscale.
  - Builds against php4 correctly again.
* Fri Jul 04 2008 Carsten Schoene <cs@linux-administrator.com>
- 0.5.3.1:
 - Small fix to maintain compatibility with ffmpeg svn. 
 - Removed copyrighted test media and replaced with public domain. 
- 0.5.3:
 - Added php.ini flag to turn off ffmpeg warnings. Added stream id functions
* Mon Oct 01 2007 Carsten Schoene <cs@linux-administrator.com>
- initial package release - 0.5.1

